<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <base data-ice="baseUrl" href="../../../../../">
  <title data-ice="title">Archive_Connection | archive-system-front-end</title>
  <link type="text/css" rel="stylesheet" href="css/style.css">
  <link type="text/css" rel="stylesheet" href="css/prettify-tomorrow.css">
  <script src="script/prettify/prettify.js"></script>
  <script src="script/manual.js"></script>
</head>
<body class="layout-container" data-ice="rootContainer">

<header>
  <a href="./">Home</a>
  
  <a href="identifiers.html">Reference</a>
  <a href="source.html">Source</a>
  
  <div class="search-box">
  <span>
    <img src="./image/search.png">
    <span class="search-input-edge"></span><input class="search-input"><span class="search-input-edge"></span>
  </span>
    <ul class="search-result"></ul>
  </div>
<a href="https://gitlab.com/ArchiveSys/Web-Catalogue/archive-system-front-end.git">Repository</a></header>

<nav class="navigation" data-ice="nav"><div>
  <ul>
    
  <li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js">js</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/moodral.js~moodral.html">moodral</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-CONFIG">CONFIG</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge">js/catalouge</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System.js~Catalog_System.html">Catalog_System</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System_Base.js~Catalog_System_Base.html">Catalog_System_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-archive-connection">js/catalouge/Archive_Connection</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html">Archive_Connection</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-catalog-entry">js/catalouge/Catalog_Entry</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry.js~Catalog_Entry.html">Catalog_Entry</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html">Catalog_Entry_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-catalog-entry-moodral">js/catalouge/Catalog_Entry_Moodral</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry_Moodral/Catalog_Entry_Moodral.js~Catalog_Entry_Moodral.html">Catalog_Entry_Moodral</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-filter">js/catalouge/Filter</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter.js~Filter.html">Filter</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter_Base.js~Filter_Base.html">Filter_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-page-headers">js/catalouge/Page_Headers</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Page_Headers/Page_Headers.js~Page_Headers.html">Page_Headers</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-toolkit">js/toolkit</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html">toolkit</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html">baseStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~permanentStorageToolkitExtention.html">permanentStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~sessionStorageToolkitExtention.html">sessionStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/contentToolkitExtention.js~contentToolkitExtention.html">contentToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/endlessScrollToolkitExtention.js~endlessScrollToolkitExtention.html">endlessScrollToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/eventToolkitExtention.js~eventToolkitExtention.html">eventToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/formToolkitExtention.js~formToolkitExtention.html">formToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/httpConnectionsToolkitExtention.js~httpConnectionsToolkitExtention.html">httpConnectionsToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/styleToolkitExtention.js~styleToolkitExtention.html">styleToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/urlToolkitExtention.js~urlToolkitExtention.html">urlToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-aggregator">aggregator</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-NOTHING">NOTHING</a></span></span></li>
</ul>
</div>
</nav>

<div class="content" data-ice="content"><div class="header-notice">
  <div data-ice="importPath" class="import-path"><pre class="prettyprint"><code data-ice="importPathCode">import {Archive_Connection} from &apos;<span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber6">archive-system-front-end/public/js/catalouge/Archive_Connection/Archive_Connection.js</a></span>&apos;</code></pre></div>
  <span data-ice="access">public</span>
  <span data-ice="kind">class</span>
  
  
  
  <span data-ice="source">| <span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber6">source</a></span></span>
</div>

<div class="self-detail detail">
  <h1 data-ice="name">Archive_Connection</h1>

  

  
  
  
  
  
  
  
  
  

  
  
  <div class="description" data-ice="description"><p>Handles connecting to the archive server for catalouge searches.</p>
<p>Designed so that when the back-end is overhauled this can be easaly replaced.</p>
</div>
  

  

  

  

  
</div>



<div data-ice="constructorSummary"><h2>Constructor Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Public Constructor</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html#instance-constructor-constructor">constructor</a></span></span><span class="code" data-ice="signature">()</span>
        </p>
      </div>
      <div>
        
        
        
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
<div data-ice="memberSummary"><h2>Member Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Public Members</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html#instance-member-API_Entrypoint">API_Entrypoint</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The API Entrypoint; The base URL that is before all other requests.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html#instance-member-catalog">catalog</a></span></span><span class="code" data-ice="signature">: <span><a href="class/public/js/catalouge/Catalog_System.js~Catalog_System.html">Catalog_System</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The object that provides what filters are currently selected.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
<div data-ice="methodSummary"><h2>Method Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Public Methods</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html#instance-method-changeEndpoint">changeEndpoint</a></span></span><span class="code" data-ice="signature">(NEW_API_Entrypoint: <span>*</span>)</span>
        </p>
      </div>
      <div>
        
        
        
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html#instance-method-loadEntryAndOptions">loadEntryAndOptions</a></span></span><span class="code" data-ice="signature">()</span>
        </p>
      </div>
      <div>
        <div class="deprecated" data-ice="deprecated">this method was deprecated.</div>
        
        <div data-ice="description"><p>Preps the JSON data and sends it to the loadEntrys function and, if on the first page, the loadOptions function.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html#instance-method-loadEntrys">loadEntrys</a></span></span><span class="code" data-ice="signature">(optionsJSON: <span>JSONString</span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Loads a page of catalog entrys.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html#instance-method-loadOptions">loadOptions</a></span></span><span class="code" data-ice="signature">(optionsJSON: <span>JSONString</span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Loads the currently available filter options.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>





<div data-ice="constructorDetails"><h2 data-ice="title">Public Constructors</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-constructor-constructor">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">constructor</span><span class="code" data-ice="signature">()</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber7">source</a></span></span>
    </span>
  </h3>

  
  
  
  

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
</div>
<div data-ice="memberDetails"><h2 data-ice="title">Public Members</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-API_Entrypoint">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">API_Entrypoint</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber12">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The API Entrypoint; The base URL that is before all other requests.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-catalog">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">catalog</span><span class="code" data-ice="signature">: <span><a href="class/public/js/catalouge/Catalog_System.js~Catalog_System.html">Catalog_System</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber17">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The object that provides what filters are currently selected.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
</div>
<div data-ice="methodDetails"><h2 data-ice="title">Public Methods</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-changeEndpoint">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">changeEndpoint</span><span class="code" data-ice="signature">(NEW_API_Entrypoint: <span>*</span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber20">source</a></span></span>
    </span>
  </h3>

  
  
  
  

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">NEW_API_Entrypoint</td>
      <td data-ice="type" class="code"><span>*</span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"></td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-loadEntryAndOptions">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">loadEntryAndOptions</span><span class="code" data-ice="signature">()</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber31">source</a></span></span>
    </span>
  </h3>

  
  <div class="deprecated" data-ice="deprecated">this method was deprecated.</div>
  
  <div data-ice="description"><p>Preps the JSON data and sends it to the loadEntrys function and, if on the first page, the loadOptions function.</p>
<p>This should be phased out in the near future.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-loadEntrys">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">loadEntrys</span><span class="code" data-ice="signature">(optionsJSON: <span>JSONString</span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber46">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Loads a page of catalog entrys. When they are obtained it will send it back to the catalouge.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">optionsJSON</td>
      <td data-ice="type" class="code"><span>JSONString</span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>the options to send to the server.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-loadOptions">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">loadOptions</span><span class="code" data-ice="signature">(optionsJSON: <span>JSONString</span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Archive_Connection/Archive_Connection.js.html#lineNumber58">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Loads the currently available filter options. When they are obtained it will send it back to the filter object.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">optionsJSON</td>
      <td data-ice="type" class="code"><span>JSONString</span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>the options to send to the server.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
</div>
</div>

<footer class="footer">
  Generated by <a href="https://esdoc.org">ESDoc<span data-ice="esdocVersion">(1.1.0)</span><img src="./image/esdoc-logo-mini-black.png"></a>
</footer>

<script src="script/search_index.js"></script>
<script src="script/search.js"></script>
<script src="script/pretty-print.js"></script>
<script src="script/inherited-summary.js"></script>
<script src="script/test-summary.js"></script>
<script src="script/inner-link.js"></script>
<script src="script/patch-for-local.js"></script>
</body>
</html>
